%define saver	2.3.4
Summary: openhpi Hardware Platform Interface (HPI) library and tools
Name: openhpi
Version: 2.10.2
Release: 1.2%{?dist}
License: BSD
Group: System Environment/Base
Source: http://prdownloads.sourceforge.net/openhpi/%{name}-%{version}.tar.gz
#Source1: openhpi.conf
Source2: http://prdownloads.sourceforge.net/openhpi/%{name}-subagent-%{saver}.tar.gz
Patch1: openhpi-2.8.0-werror.patch
Patch2: openhpi-2.8.1-segfault.patch
Patch3: openhpi-2.10.2-install.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libsysfs-devel, net-snmp-devel, OpenIPMI-devel, glib2-devel
BuildRequires: elfutils-devel, rpm-devel, libtool-ltdl-devel, bzip2-devel
BuildRequires: e2fsprogs-devel, openssl-devel, OpenIPMI-devel, ncurses-devel,
BuildRequires: pkgconfig
%ifarch %{ix86} x86_64
BuildRequires: lm_sensors-devel
%endif
ExcludeArch: ia64

%description
OpenHPI is an open source project created with the intent of providing an
implementation of the SA Forum's Hardware Platform Interface (HPI). HPI
provides an abstracted interface to managing computer hardware, typically for
chassis and rack based servers. HPI includes resource modeling; access to and
control over sensor, control, watchdog, and inventory data associated with
resources; abstracted System Event Log interfaces; hardware events and alerts;
and a managed hotswap interface.

OpenHPI provides a modular mechanism for adding new hardware and device support
easily. Many plugins exist in the OpenHPI source tree to provide access to
various types of hardware. This includes, but is not limited to, IPMI based
servers, Blade Center, and machines which export data via sysfs.

%package devel
Group: Development/Libraries
Summary: The development environment for the openhpi project
Requires: %{name} = %{version}

%description devel
The openhpi-devel package contains the development libraries and header files
of the openhpi project.

%package subagent
Group: System Environment/Base
Summary:  The openhpi snmp subagent
Requires: %{name} = %{version}

%description subagent
The openhpi-subagent package contains the Service Availability Forum's
Hardware Platform Interface SNMP sub-agent.

%prep
%setup -q -a 2
%patch1 -p1 -b .werror
%patch2 -p1 -b .segfault
%patch3 -p1 -b .install

%build
export CFLAGS="$RPM_OPT_FLAGS -DFORTIFY_SOURCE -fno-strict-aliasing"
%configure --disable-dummy --disable-sysfs
make

pushd %{name}-subagent-%{saver}
export CFLAGS="$RPM_OPT_FLAGS -DFORTIFY_SOURCE -I$PWD/../include -I$PWD/../utils"
export PKG_CONFIG_PATH=..
export LDFLAGS="-L$PWD/../openhpid/.libs/ -L$PWD/../utils/.libs"
%configure
make
popd

%install
%{__rm} -rf $RPM_BUILD_ROOT
pushd %{name}-subagent-%{saver}
make install DESTDIR=$RPM_BUILD_ROOT
popd

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/openhpi
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
mkdir -p -m1777 $RPM_BUILD_ROOT%{_var}/lib/openhpi
make install DESTDIR=$RPM_BUILD_ROOT
#install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/openhpi

# RH-ify the initscript location
mv $RPM_BUILD_ROOT%{_sysconfdir}/init.d/* $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README.daemon COPYING
%dir %{_sysconfdir}/openhpi
%config %{_sysconfdir}/openhpi/openhpi.conf
%config %{_sysconfdir}/rc.d/init.d/openhpid
%attr(1775,root,root) %{_var}/lib/openhpi
%{_libdir}/*.so.*
%{_libdir}/*.la
%{_bindir}/hpi_cmd
%{_bindir}/hpi_shell
%{_bindir}/hpialarms
%{_bindir}/hpiel
%{_bindir}/hpievents
%{_bindir}/hpifan
%{_bindir}/hpiinv
%{_bindir}/hpionIBMblade
%{_bindir}/hpipower
%{_bindir}/hpireset
%{_bindir}/hpisensor
%{_bindir}/hpisettime
%{_bindir}/hpithres
%{_bindir}/hpitop
%{_bindir}/hpitree
%{_bindir}/hpiwdt
%{_sbindir}/*
%{_libdir}/openhpi
%{_mandir}/man7/*
%{_mandir}/man8/*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/openhpi
%{_libdir}/pkgconfig/*

%files subagent
%defattr(-,root,root)
%config %{_sysconfdir}/rc.d/init.d/openhpi-subagent
%config %{_sysconfdir}/snmp/hpiSubagent.conf
%{_datadir}/snmp/mibs/*
%{_bindir}/hpiSubagent

%changelog
* Wed Feb 25 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> - 2.10.2-1.2%{?dist}
- Added COPYING file

* Tue Feb 17 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> - 2.10.2-1.1%{?dist}
- merge Asianux changes to the new package which based on 2.10.2-1.el5
- adjust the location of rc scripts. [Patch3]
- change %{_var}/lib/openhpi permission from 1777 to 1755 (files)

* Wed Mar 26 2008 Phil Knirsch <pknirsch@redhat.com> - 2.10.2-1.el5
- Update to openhpi-2.10.2 (#229399)

* Thu Jan 24 2008 Phil Knirsch <pknirsch@redhat.com> - 2.10.1-1.el5
- Update to openhpi-2.10.1 (#229399)

* Thu Nov 29 2007 Phil Knirsch <pknirsch@redhat.com> - 2.8.1-2.el5.9
- Corrected an off by 1 error in the previous patch (#247643)

* Tue Nov 13 2007 Phil Knirsch <pknirsch@redhat.com> - 2.8.1-2.el5.8
- Fix for hpipower segfaulting when using -b option out of range (#247643)

* Tue Sep 25 2007 Phil Knirsch <pknirsch@redhat.com> - 2.8.1-2.el5.7
- Fixed incorrect buildrequires on lm_sensors for some archs (#304711)

* Wed Aug 29 2007 Phil Knirsch <pknirsch@redhat.com> - 2.8.1-2.el5.6
- Updated the config file (#227434)

* Fri Aug 03 2007 Phil Knirsch <pknirsch@redhat.com> - 2.8.1-2.el5.5
- Small fix to specfile (missing changelogs)

* Thu Aug 02 2007 Phil Knirsch <pknirsch@redhat.com> - 2.8.1-2.el5.4
- Final fix for the perl problem, split out the new openhpi-subagent in a
  subpackage (#250139)

* Tue Jul 31 2007 Phil Knirsch <pknirsch@redhat.com> - 2.8.1-2.el5.3
- Bump release to fix build problem related to perl (#250139)

* Fri Jun 15 2007 Phil Knirsch <pknirsch@redhat.com> - 2.8.1-2.el5.1
- Update to openhpi-2.8.1 for RHEL 5 (#227434)
- Added openhpi-subagent for SNMP (#228132)

* Mon Jun 04 2007 Phil Knirsch <pknirsch@redhat.com> - 2.8.1-2.fc7
- Fixed missing e2fsprogs-devel and openssl-devel build requires

* Fri Mar 30 2007 Phil Knirsch <pknirsch@redhat.com> - 2.8.1-1.fc7
- Update to openhpi-2.8.1

* Thu Feb 08 2007 Phil Knirsch <pknirsch@redhat.com> - 2.8.0-3.fc7
- Fixed some silly bugs in the specfile

* Wed Feb 07 2007 Phil Knirsch <pknirsch@redhat.com> - 2.8.0-2.fc7
- Bump and rebuild.

* Tue Feb 06 2007 Phil Knirsch <pknirsch@redhat.com> - 2.8.0-1.fc7
- Update to openhpi-2.8.0

* Tue Nov 28 2006 Phil Knirsch <pknirsch@redhat.com> - 2.4.1-7.fc7
- Rebuilt due to new net-snmp-5.4
- Small specfile updates

* Thu Nov 09 2006 Phil Knirsch <pknirsch@redhat.com> - 2.4.1-6.el5.1
- Bumped release and rebuilt for RHEL5

* Fri Sep 29 2006 Phil Knirsch <pknirsch@redhat.com> - 2.4.1-6
- Fixed file conflicts for openhpi-switcher (#205226)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.4.1-5.1
- rebuild

* Mon Jul 10 2006 Phil Knirsch <pknirsch@redhat.com> - 2.4.1-5
- Had to disable sysfs support due to new libsysfs and incompatible API.
- Added missing ncurses-devel buildrequires

* Wed Jun 07 2006 Phil Knirsch <pknirsch@redhat.com> - 2.4.1-4
- Rebuilt with final memset patch
- Added missing pkgconfig buildprereq (#191935)

* Fri May 26 2006 Radek Vokal <rvokal@redhat.com> - 2.4.1-2
- rebuilt for new libnetsnmp and net-snmp-config changes

* Wed May 24 2006 Phil Knirsch <pknirsch@redhat.com> - 2.4.1-1
- Fixed buggy use of memset throughout the code
- Made the package build and install properly

* Fri May 19 2006 Phil Knirsch <pknirsch@redhat.com>
- Added missing glib2-devel build prereq (#191935)
- Update to latest stable version openhpi-2.4.1

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.2.1-4.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.2.1-4.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan  9 2006 Peter Jones <pjones@redhat.com> 2.2.1-4
- Don't use -Werror, it doesn't build with that on ppc64 currently.

* Mon Jan 06 2006 Jesse Keating <jkeating@redhat.com> 2.2.1-3
- Fix to not use stict-aliasing.

* Wed Jan 04 2006 Radek Vokal <rvokal@redhat.com> 2.2.1-2
- Rebuilt against new libnetsnmp

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 11 2005 Phil Knirsch <pknirsch@redhat.com> 2.2.1-1
- Update to stable openhpi-2.2.1

* Wed Nov 09 2005 Phil Knirsch <pknirsch@redhat.com> 2.0.3-5
- Rebuilt to link against latest openssl lib.

* Mon Nov 07 2005 Phil Knirsch <pknirsch@redhat.com> 2.0.3-4
- Added the openhpi config file
- Added missing /var/lib/openhpi dir with proper rights
- Added a few missing BuildPreReqs

* Thu Nov 03 2005 Phil Knirsch <pknirsch@redhat.com> 2.0.3-3
- Rebuild against new net-snmp libs

* Wed Mar 30 2005 Phil Knirsch <pknirsch@redhat.com> 2.0.3-1
- Moved the pkgconfig files to the devel package (#152507)
- Update to openhpi-2.0.3
- Had to manually disable ipmi support for now until openhpi builds correctly
  against it again
- Dropped net-snmp-config patch, not needed anymore

* Thu Mar 17 2005 Phil Knirsch <pknirsch@redhat.com> 1.9.2-5
- Fixed gcc4 rebuild problems

* Wed Mar 02 2005 Phil Knirsch <pknirsch@redhat.com> 1.9.2-4
- bump release and rebuild with gcc 4

* Mon Feb 14 2005 Phil Knirsch <pknirsch@redhat.com> 1.9.2-3
- Rebuilt for new rpm-4.4

* Mon Dec 20 2004 Phil Knirsch <pknirsch@redhat.com> 1.9.2-2
- Fixed overflow in plugins/sysfs/sysfs2hpi.c
- Fixed rebuild problem with latest net-snmp
- Removed is_simulator patch, not needed anymore

* Fri Nov 26 2004 Florian La Roche <laroche@redhat.com> 1.9.2-1
- update to 1.9.2

* Tue Nov 02 2004 Phil Knirsch <pknirsch@redhat.com> 1.9.1-1
- Added proper BuildRequires
- Drop ia64 for first build, something fishy with the compiler and warning.

* Tue Oct 26 2004 Phil Knirsch <pknirsch@redhat.com>
- Initial version
- Disable dummy plugin, doesn't compile
- Fix missing () in snmp_bc_session.c
